    'use strict';    
 
    const express = require("express");



    const app = express();

    var cors = require('cors')


  
    var fs = require('fs');

require('dotenv').config({path:'/data/.env'});

const Client_ip = process.env.Client_ip;

    const PORT = process.env.Server_port;

    var files = fs.readdirSync('/data/vtis/');
   
    var options = '';

    for (var i in files) {
        if (files[i].includes(".vti")){
        	files[i] = files[i].slice(0, -4)
        	options += '<li><a href= \'http://'+Client_ip+'/'+files[i]+'\';">'+files[i]+'\</a></li>'
    };
    }


    var fileName = '/data/controller.html';
  
    var stream = fs.createWriteStream(fileName);

    app.use(cors())
     
    app.get('/products/:id', function (req, res, next) {
      res.json({msg: 'This is CORS-enabled for all origins!'})
    })


    function buildHtml(req) {
      var header = '<style> a:hover {color: mediumseagreen;}\n' +
      '    a { color: black; text-decoration: none;}</style>';
      var body = '<div id="root"></div><IMG SRC="https://upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Logo_KIT.svg/1200px-Logo_KIT.svg.png" WIDTH=55 HEIGHT=30><p>Select dataset:</p>' +  '' + options;


      return '<!DOCTYPE html>'
           + '<html><head>' + header + '</head><body>' + body + '</body></html>';
    };

    stream.once('open', function(fd) {
      var html = buildHtml();

      stream.end(html);
    });

    app.use(express.static('data'));

    app.listen(PORT, () => {
     console.log(`Server is listening on port: ${PORT}`);
    });


